%global         momorel 1

Name:           perl-JSON-XS
Version:        2.2222
Release:        %{momorel}m%{?dist}
Summary:        JSON serialising/deserialising, done correctly and fast
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/JSON-XS/
#Source0:        http://www.cpan.org/modules/by-module/JSON/JSON-XS-%%{version}.tar.gz
Source0:	http://www.cpan.org/authors/id/M/ML/MLEHMANN/JSON-XS-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl-ExtUtils-MakeMaker
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module converts Perl data structures to JSON and vice versa. Its
primary goal is to be correct and its secondary goal is to be fast. To
reach the latter goal it was written in C.

%prep
%setup -q -n JSON-XS-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes COPYING README
%{_bindir}/*
%{perl_vendorarch}/auto/JSON/XS/*
%{perl_vendorarch}/JSON/XS*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Mon Jul 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2222-1m)
- update to 2.2222

* Sat Jul 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.222-1m)
- update to 2.222

* Wed Jul 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.22-1m)
- update to 2.22

* Tue Jun  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.21-1m)
- update to 2.21

* Fri Apr 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2-1m)
- update to 2.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1-2m)
- rebuild against gcc43

* Thu Mar 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1-1m)
- update to 2.1

* Thu Dec  6 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.01-1m)
- update to 2.01

* Tue Dec  4 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0-1m)
- update to 2.0

* Thu Nov 15 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.53-1m)
- update to 1.53

* Mon Oct 15 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.52-1m)
- update to 1.52

* Sat Oct 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.51-1m)
- update to 1.51

* Wed Oct 03 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
